import request from '@/utils/request';

//获取表格内容
export function getTaskList(params: any) {
    return request({
        url: '/system/quartzjob/getQuartzJobList',
        method: 'get',
        params: params
    });
}
//新增表格内容
export function addTaskList(params: any) {
    return request({
        url: '/system/quartzjob/addQuartzJob',
        method: 'post',
        data: params
    });
}

//删除定时任务
export function delTaskList(params: any) {
    return request({
        url: '/system/quartzjob/deleteQuartzJob',
        method: 'post',
        params: params
    });
}
//修改定时任务
export function updataTaskList(params: any) {
    return request({
        url: '/system/quartzjob/updateQuartzJob',
        method: 'post',
        data: params
    });
}
//定时任务是否有效
export function setTaskList(params: any) {
    return request({
        url: '/system/quartzjob/setQuartzStatus',
        method: 'post',
        params: params
    });
}
//拖拽
export function changeItemOrder(params: any) {
    return request({
        url: '/system/quartzjob/changeDictOrder',
        method: 'post',
        params: params
    });
}